glibmm 2.52.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Glib::HelperList< T_Child, T_CppElement, T_Iterator > Class Template Referenceabstract

`#include <glibmm/helperlist.h>`

## Public Types
using | value_type = T_Child
using | reference = value_type&
using | const_reference = const value_type&
using | iterator = T_Iterator
using | const_iterator = List_ConstIterator< iterator >
using | reverse_iterator = List_ReverseIterator< iterator >
using | const_reverse_iterator = List_ConstIterator< reverse_iterator >
using | element_type = T_CppElement
using | difference_type = std::size_t
using | size_type = std::size_t

## Public Member Functions
| HelperList ()
| HelperList (GObject* gp)
virtual | ~HelperList () noexcept
virtual iterator | erase (iterator)=0
virtual void | erase (iterator start, iterator stop)
virtual void | remove (const_reference)=0
size_type | size () const
size_type | max_size ()
bool | empty ()
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
reverse_iterator | rbegin ()
reverse_iterator | rend ()
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
reference | front () const
reference | back () const
reference | operator[] (size_type l) const
void | pop_front ()
void | pop_back ()
void | clear ()
GObject* | gparent ()
const GObject* | gparent () const

## Protected Member Functions
virtual GList*& | glist () const =0
iterator | begin_ () const
iterator | end_ () const

## Protected Attributes
GObject* | gparent_

## Detailed Description

### template<typename T_Child, typename T_CppElement, typename T_Iterator>
class Glib::HelperList< T_Child, T_CppElement, T_Iterator >

Deprecated:
  This class should no longer be necessary. It has not been used by glibmm or gtkmm since gtkmm-2.4.

## Member Typedef Documentation

template <typename T_Child , typename T_CppElement , typename T_Iterator >

using Glib::HelperList< T_Child, T_CppElement, T_Iterator >::const_iterator = List_ConstIterator<iterator>

template <typename T_Child , typename T_CppElement , typename T_Iterator >

using Glib::HelperList< T_Child, T_CppElement, T_Iterator >::const_reference = const value_type&

template <typename T_Child , typename T_CppElement , typename T_Iterator >

using Glib::HelperList< T_Child, T_CppElement, T_Iterator >::const_reverse_iterator = List_ConstIterator<reverse_iterator>

template <typename T_Child , typename T_CppElement , typename T_Iterator >

using Glib::HelperList< T_Child, T_CppElement, T_Iterator >::difference_type = std::size_t

template <typename T_Child , typename T_CppElement , typename T_Iterator >

using Glib::HelperList< T_Child, T_CppElement, T_Iterator >::element_type = T_CppElement

template <typename T_Child , typename T_CppElement , typename T_Iterator >

using Glib::HelperList< T_Child, T_CppElement, T_Iterator >::iterator = T_Iterator

template <typename T_Child , typename T_CppElement , typename T_Iterator >

using Glib::HelperList< T_Child, T_CppElement, T_Iterator >::reference = value_type&

template <typename T_Child , typename T_CppElement , typename T_Iterator >

using Glib::HelperList< T_Child, T_CppElement, T_Iterator >::reverse_iterator = List_ReverseIterator<iterator>

template <typename T_Child , typename T_CppElement , typename T_Iterator >

using Glib::HelperList< T_Child, T_CppElement, T_Iterator >::size_type = std::size_t

template <typename T_Child , typename T_CppElement , typename T_Iterator >

using Glib::HelperList< T_Child, T_CppElement, T_Iterator >::value_type = T_Child

## Constructor & Destructor Documentation

template <typename T_Child , typename T_CppElement , typename T_Iterator >

Glib::HelperList< T_Child, T_CppElement, T_Iterator >::HelperList | ( |  | ) |
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

Glib::HelperList< T_Child, T_CppElement, T_Iterator >::HelperList | ( | GObject * | gp | ) |
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

virtual Glib::HelperList< T_Child, T_CppElement, T_Iterator >::~HelperList | ( |  | ) |
| inline virtual noexcept

## Member Function Documentation

template <typename T_Child , typename T_CppElement , typename T_Iterator >

reference Glib::HelperList< T_Child, T_CppElement, T_Iterator >::back | ( |  | ) | const
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

iterator Glib::HelperList< T_Child, T_CppElement, T_Iterator >::begin | ( |  | ) |
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

const_iterator Glib::HelperList< T_Child, T_CppElement, T_Iterator >::begin | ( |  | ) | const
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

iterator Glib::HelperList< T_Child, T_CppElement, T_Iterator >::begin_ | ( |  | ) | const
| inline protected

template <typename T_Child , typename T_CppElement , typename T_Iterator >

void Glib::HelperList< T_Child, T_CppElement, T_Iterator >::clear | ( |  | ) |
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

bool Glib::HelperList< T_Child, T_CppElement, T_Iterator >::empty | ( |  | ) |
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

iterator Glib::HelperList< T_Child, T_CppElement, T_Iterator >::end | ( |  | ) |
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

const_iterator Glib::HelperList< T_Child, T_CppElement, T_Iterator >::end | ( |  | ) | const
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

iterator Glib::HelperList< T_Child, T_CppElement, T_Iterator >::end_ | ( |  | ) | const
| inline protected

template <typename T_Child , typename T_CppElement , typename T_Iterator >

virtual iterator Glib::HelperList< T_Child, T_CppElement, T_Iterator >::erase | ( | iterator |  | ) |
| pure virtual

template <typename T_Child , typename T_CppElement , typename T_Iterator >

virtual void Glib::HelperList< T_Child, T_CppElement, T_Iterator >::erase | ( | iterator | start,
|  | iterator | stop
| ) |  |
| inline virtual

template <typename T_Child , typename T_CppElement , typename T_Iterator >

reference Glib::HelperList< T_Child, T_CppElement, T_Iterator >::front | ( |  | ) | const
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

virtual GList*& Glib::HelperList< T_Child, T_CppElement, T_Iterator >::glist | ( |  | ) | const
| protected pure virtual

template <typename T_Child , typename T_CppElement , typename T_Iterator >

GObject* Glib::HelperList< T_Child, T_CppElement, T_Iterator >::gparent | ( |  | ) |
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

const GObject* Glib::HelperList< T_Child, T_CppElement, T_Iterator >::gparent | ( |  | ) | const
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

size_type Glib::HelperList< T_Child, T_CppElement, T_Iterator >::max_size | ( |  | ) |
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

reference Glib::HelperList< T_Child, T_CppElement, T_Iterator >::operator[] | ( | size_type | l | ) | const
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

void Glib::HelperList< T_Child, T_CppElement, T_Iterator >::pop_back | ( |  | ) |
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

void Glib::HelperList< T_Child, T_CppElement, T_Iterator >::pop_front | ( |  | ) |
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

reverse_iterator Glib::HelperList< T_Child, T_CppElement, T_Iterator >::rbegin | ( |  | ) |
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

const_reverse_iterator Glib::HelperList< T_Child, T_CppElement, T_Iterator >::rbegin | ( |  | ) | const
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

virtual void Glib::HelperList< T_Child, T_CppElement, T_Iterator >::remove | ( | const_reference |  | ) |
| pure virtual

template <typename T_Child , typename T_CppElement , typename T_Iterator >

reverse_iterator Glib::HelperList< T_Child, T_CppElement, T_Iterator >::rend | ( |  | ) |
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

const_reverse_iterator Glib::HelperList< T_Child, T_CppElement, T_Iterator >::rend | ( |  | ) | const
| inline

template <typename T_Child , typename T_CppElement , typename T_Iterator >

size_type Glib::HelperList< T_Child, T_CppElement, T_Iterator >::size | ( |  | ) | const
| inline

## Member Data Documentation

template <typename T_Child , typename T_CppElement , typename T_Iterator >

GObject* Glib::HelperList< T_Child, T_CppElement, T_Iterator >::gparent_
| protected